Gemma.WebApi

<back to all web services

ContenutoQuery

Contenuti
Requires Authentication
Requires any of the roles:Admin, ApiUser
The following routes are available for this service:
GET/contenuti
ContenutoQuery Parameters:
NameParameterData TypeRequiredDescription
TestoquerystringNo
TestoStartsWithquerystringNo
TestoEndsWithquerystringNo
TestoContainsquerystringNo
TestoLikequerystringNo
TestoBetweenquerystring[]No
TestoInquerystring[]No
IsVisibilequerybool?No
ChiavequerystringNo
ChiaveStartsWithquerystringNo
ChiaveEndsWithquerystringNo
ChiaveContainsquerystringNo
ChiaveLikequerystringNo
ChiaveBetweenquerystring[]No
ChiaveInquerystring[]No
CreatedUtcqueryDateTime?No
CreatedUtcGreaterThanOrEqualToqueryDateTime?No
CreatedUtcGreaterThanqueryDateTime?No
CreatedUtcLessThanqueryDateTime?No
CreatedUtcLessThanOrEqualToqueryDateTime?No
CreatedUtcNotEqualToqueryDateTime?No
CreatedUtcBetweenqueryDateTime[]No
CreatedUtcInqueryDateTime[]No
ModifiedUtcqueryDateTime?No
ModifiedUtcGreaterThanOrEqualToqueryDateTime?No
ModifiedUtcGreaterThanqueryDateTime?No
ModifiedUtcLessThanqueryDateTime?No
ModifiedUtcLessThanOrEqualToqueryDateTime?No
ModifiedUtcNotEqualToqueryDateTime?No
ModifiedUtcBetweenqueryDateTime[]No
ModifiedUtcInqueryDateTime[]No
CodiceLinguaquerystringNo
QueryBase Parameters:
NameParameterData TypeRequiredDescription
Skipformint?No
Takeformint?No
OrderByformstringNo
OrderByDescformstringNo
IncludeformstringNo
FieldsformstringNo
MetaformDictionary<string, string>No
Contenuto Parameters:
NameParameterData TypeRequiredDescription
TestoformstringNo
IsVisibileformboolNo
ChiaveformstringNo
CreatedUtcformDateTimeNo
ModifiedUtcformDateTimeNo
ContenutoIdformintNo
LinguaIdformintNo
TipoformTipoContenutoNo
TipoIdformintNo
LinguaformLinguaNo
CodiceLinguaformstringNo
TipoContenuto Enum:
Unknown
PlainText
HtmlText
Lingua Parameters:
NameParameterData TypeRequiredDescription
IdformintNo
DescrizioneformstringNo
DescrizioneCnIdformintNo
IsVisibileformboolNo
CodiceLinguaformstringNo
DescrizioneLocalizzataformstringNoNome della lingua localizzato nella lingua stessa con fallback tra parentesi.
QueryResponse<T> Parameters:
NameParameterData TypeRequiredDescription
OffsetformintNo
TotalformintNo
ResultsformList<T>No
MetaformDictionary<string, string>No
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /contenuti HTTP/1.1 
Host: gemma.api.kerberos.energy 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	offset: 0,
	total: 0,
	results: 
	[
		{
			testo: String,
			isVisibile: False,
			chiave: String,
			contenutoId: 0,
			linguaId: 0,
			tipo: Unknown,
			tipoId: 0,
			codiceLingua: String
		}
	],
	meta: 
	{
		String: String
	},
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}